#include <string>

// Add your code (declaration and implementation of class Sequencer) in the following header file:
#include "sequencer.h"

int main(int argc, char** argv)
{

	// Create a class Sequencer
	// The constructor should open a BINARY file for INPUT using the given filename.
	// The file contains a sequence of positive numbers of type int
	Sequencer sequence1("sequence.bin");

	for (int i = 0; ; i++)
	{
		// The following method reads the next available integer from the file. 
		// If no more numbers are available to read, the method should return -1
		int val = sequence1();
		if (val == -1)
			break;
		printf("Element %d is %\d\n", i, val);
	}

	// the operator [i] reports the file position of the first encountered integer with value equal to i,
	// -1 otherwise.
	
	// number 67 exists in the file and should print 352
	printf("The file position of element with value %d is %\d\n", 67, sequence1[67]);

	// number 67 exists in the file and should print 248
	printf("The file position of element with value %d is %\d\n", 98, sequence1[98]);
	
	// number 10 does not exist in the file and should print -1
	printf("The file position of element with value %d is %\d\n", 10, sequence1[10]);

	
}



